Bug 1001397 - Review Request: pasdoc - Documentation tool for ObjectPascal source code
Review Request: pasdoc - Documentation tool for ObjectPascal source code
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 988497
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 20:50 EDT by Christopher Meng
Modified: 2014-06-19 23:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-26 20:50:10 EDT
Spec URL: http://cicku.me/pasdoc.spec
SRPM URL: http://cicku.me/pasdoc-0.13.0-1.fc21.src.rpm
Description: Pasdoc generates documentation for Pascal units. It takes descriptions from 
comments within the source code. Documentation output formats include HTML and
LaTeX. Object Pascal, FreePascal and Delphi specific features are supported.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-08-26 20:58:54 EDT
Due to minimal requirement mentioned in http://pasdoc.sipsolutions.net/CompilingPasDoc, we should use lazarus 1.0.10+ to build it.

Currently Fedora doesn't have its latest version.
Comment 2 Michalis Kamburelis 2014-06-12 16:29:23 EDT
Note that the requirement about Lazarus >= 1.0.10, mentioned on http://pasdoc.sipsolutions.net/CompilingPasDoc , applies only to the GUI application "pasdoc_gui". The command-line binary "pasdoc" only requires FPC (Free Pascal Compiler) >= 2.2.0. Fedora 19 already contains fpc-2.6.2-1.fc19 (looking at https://admin.fedoraproject.org/updates/FEDORA-2013-6904/fpc-2.6.2-1.fc19 ) so this should not be a problem.

Also, Fedora 20 contains Lazarus lazarus-1.0.14-1.fc20 (looking at https://bugzilla.redhat.com/show_bug.cgi?id=988497 and https://admin.fedoraproject.org/updates/lazarus-1.0.14-1.fc20 ). So it should be possible to get pasdoc with GUI in Fedora 20.

Also, PasDoc is getting included in Debian and Ubuntu (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=747547 ). It would be cool to have PasDoc available in Fedora too :)
Comment 3 Christopher Meng 2014-06-18 06:27:11 EDT
(In reply to Michalis Kamburelis from comment #2)
> Note that the requirement about Lazarus >= 1.0.10, mentioned on
> http://pasdoc.sipsolutions.net/CompilingPasDoc , applies only to the GUI
> application "pasdoc_gui". The command-line binary "pasdoc" only requires FPC
> (Free Pascal Compiler) >= 2.2.0. Fedora 19 already contains fpc-2.6.2-1.fc19
> (looking at
> https://admin.fedoraproject.org/updates/FEDORA-2013-6904/fpc-2.6.2-1.fc19 )
> so this should not be a problem.
> 
> Also, Fedora 20 contains Lazarus lazarus-1.0.14-1.fc20 (looking at
> https://bugzilla.redhat.com/show_bug.cgi?id=988497 and
> https://admin.fedoraproject.org/updates/lazarus-1.0.14-1.fc20 ). So it
> should be possible to get pasdoc with GUI in Fedora 20.
> 
> Also, PasDoc is getting included in Debian and Ubuntu (see
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=747547 ). It would be cool
> to have PasDoc available in Fedora too :)

Hi Michalis, thanks for developing pasdoc.

I have question about manpage in debian package, as its not officially supported IMO, and some information e.g the version number of pasdoc in the manpages is dated.

I'd like to hear some opinions to determine whether the manpage should be built or not.
Comment 4 Christopher Meng 2014-06-18 06:38:13 EDT
NEW SRPM URL: https://mega.co.nz/#!OApSUQ4I!aG8oy0bx9P2dG-FzPlDqqr0KLEU0iTGM1bemB1tqbeE
Comment 5 Michalis Kamburelis 2014-06-19 13:43:35 EDT
> I have question about manpage in debian package, as its not officially
> supported IMO, and some information e.g the version number of pasdoc in the
> manpages is dated.
> 
> I'd like to hear some opinions to determine whether the manpage should be
> built or not.

The manpage for pasdoc in Debian package is simply generated by help2man. It does contain the correct version and command-line options, as far as I can see.

It is not the most beautiful manpage, but it's better than none :) I think it's a good idea to provide it, but it's up to you. It does not provide any extra information than what is already available from "pasdoc --help" and "pasdoc --version".
Comment 6 Christopher Meng 2014-06-19 23:46:05 EDT
(In reply to Michalis Kamburelis from comment #5)
> The manpage for pasdoc in Debian package is simply generated by help2man. It
> does contain the correct version and command-line options, as far as I can
> see.
> 
> It is not the most beautiful manpage, but it's better than none :) I think
> it's a good idea to provide it, but it's up to you. It does not provide any
> extra information than what is already available from "pasdoc --help" and
> "pasdoc --version".

Alright I won't build it. I don't think it would provide any more useful info other than the stock help.

Note You need to log in before you can comment on or make changes to this bug.